Search Results for

Show / Hide Table of Contents

# Class ColorPicker

The ColorPicker View Color picker.

##### Inheritance

System.Object
Responder
View
ColorPicker

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

View.GetMinWidthHeight(Size)
View.SetMinWidthHeight()
View.UpdateTextFormatterText()
View.ProcessResizeView()
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View)
View.Add(View[])
View.RemoveAll()
View.Remove(View)
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32, Boolean)
View.PositionCursor()
View.OnAdded(View)
View.OnRemoved(View)
View.OnEnter(View)
View.OnLeave(View)
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.OnDrawContent(Rect)
View.OnDrawContentComplete(Rect)
View.SetFocus()
View.InvokeKeybindings(KeyEvent)
View.AddKeyBinding(Key, Command)
View.ReplaceKeyBinding(Key, Key)
View.ContainsKeyBinding(Key)
View.ClearKeybindings()
View.ClearKeybinding(Key)
View.ClearKeybinding(Command)
View.AddCommand(Command, Func<Nullable<Boolean>>)
View.GetSupportedCommands()
View.GetKeyFromCommand(Command)
View.ProcessHotKey(KeyEvent)
View.ProcessColdKey(KeyEvent)
View.OnKeyDown(KeyEvent)
View.OnKeyUp(KeyEvent)
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutSubviews()
View.ToString()
View.GetAutoSize()
View.GetHotKeySpecifierLength(Boolean)
View.GetTextFormatterBoundsSize()
View.GetBoundsTextFormatterSize()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.OnCanFocusChanged()
View.OnEnabledChanged()
View.OnVisibleChanged()
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
View.GetNormalColor()
View.GetTopSuperView()
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.CanFocus
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.ForceValidatePosDim
View.TextFormatter
View.SuperView
View.HasFocus
View.Focused
View.MostFocused
View.ColorScheme
View.Text
View.AutoSize
View.PreserveTrailingSpaces
View.TextAlignment
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.IsAdded
View.Enabled
View.Visible
View.Border
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.CanFocusChanged
View.EnabledChanged
View.VisibleChanged
View.HotKeyChanged
View.DrawContent
View.DrawContentComplete
View.KeyPress
View.KeyDown
View.KeyUp
View.LayoutStarted
View.LayoutComplete
View.Initialized
Responder.Dispose()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ColorPicker : View

### Constructors

#### ColorPicker()

Initializes a new instance of ColorPicker.

##### Declaration

    public ColorPicker()

#### ColorPicker(ustring)

Initializes a new instance of ColorPicker.

##### Declaration

    public ColorPicker(ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | Title.

#### ColorPicker(Int32, Int32, ustring)

Initializes a new instance of ColorPicker.

##### Declaration

    public ColorPicker(int x, int y, ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x | X location.
System.Int32 | y | Y location.
NStack.ustring | title | Title

#### ColorPicker(Point, ustring)

Initializes a new instance of ColorPicker.

##### Declaration

    public ColorPicker(Point point, ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
Point | point | Location point.
NStack.ustring | title | Title.

### Properties

#### Cursor

Cursor for the selected color.

##### Declaration

    public Point Cursor { get; set; }

##### Property Value

Type | Description
--- | ---
Point |

#### SelectedColor

Selected color.

##### Declaration

    public Color SelectedColor { get; set; }

##### Property Value

Type | Description
--- | ---
Color |

### Methods

#### MouseEvent(MouseEvent)

Method invoked when a mouse event is generated

##### Declaration

    public override bool MouseEvent(MouseEvent me)

##### Parameters

Type | Name | Description
--- | --- | ---
MouseEvent | me |

##### Returns

Type | Description
--- | ---
System.Boolean | `true`, if the event was handled, `false` otherwise.

##### Overrides

Responder.MouseEvent(MouseEvent)

#### MoveDown()

Moves the selected item index to the next row.

##### Declaration

    public virtual bool MoveDown()

##### Returns

Type | Description
--- | ---
System.Boolean |

#### MoveLeft()

Moves the selected item index to the previous column.

##### Declaration

    public virtual bool MoveLeft()

##### Returns

Type | Description
--- | ---
System.Boolean |

#### MoveRight()

Moves the selected item index to the next column.

##### Declaration

    public virtual bool MoveRight()

##### Returns

Type | Description
--- | ---
System.Boolean |

#### MoveUp()

Moves the selected item index to the previous row.

##### Declaration

    public virtual bool MoveUp()

##### Returns

Type | Description
--- | ---
System.Boolean |

#### ProcessKey(KeyEvent)

If the view is focused, gives the view a chance to process the keystroke.

##### Declaration

    public override bool ProcessKey(KeyEvent kb)

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb |

##### Returns

Type | Description
--- | ---
System.Boolean |

##### Overrides

View.ProcessKey(KeyEvent)

#### Redraw(Rect)

Redraws this view and its subviews; only redraws the views that have been flagged for a re-display.

##### Declaration

    public override void Redraw(Rect bounds)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | bounds | The bounds (view-relative region) to redraw.

##### Overrides

View.Redraw(Rect)

### Events

#### ColorChanged

Fired when a color is picked.

##### Declaration

    public event Action ColorChanged

##### Event Type

Type | Description
--- | ---
System.Action |

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize